<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<script>
    let dogsFavor = [{
        name: "Мария",
        lastName: "Салтыкова",
        age: 25
    }, {
        name: "Осана",
        lastName: "Меньшинова",
        age: 20
    }, {
        name: "Андрей",
        lastName: "Первозваный",
        age: 100
    }, {
        name: "Василий",
        lastName: "Гофман",
        age: 40
    }, {
        name: "Поручик",
        lastName: "Ржевский",
        age: "вечно молодой"
    }];

    let catsFavor = [{
        name: "Мария",
        lastName: "Розгозина",
        age: 22
    }, {
        name: "Осана",
        lastName: "Меньшинова",
        age: 20
    }, {
        name: "Андрей",
        lastName: "Первозваный",
        age: 100
    }, {
        name: "Алексей",
        lastName: "Гофман",
        age: 40
    }, {
        name: "Капитан",
        lastName: "Очевидность",
        age: "вечно молодой"
    }];

    const Filter = catsFavor.map(itemCats => { return itemCats.name+itemCats.lastName; });
    const peopleInHeaven = dogsFavor.filter(itemDogs => !Filter.includes(itemDogs.name+itemDogs.lastName));
    console.log(peopleInHeaven);



</script>
</body>
</html>